<div class="drop-selector" [class.open]="open">

    <div class="display" (click)="toggleDropdown($event)">
        <label *ngIf="label">{{label}}</label>
        <div class="selected">

            <ng-container *ngIf="value">

                <ng-container 
                *ngIf="selectedTemplate" 
                [ngTemplateOutlet]="selectedTemplate" [ngTemplateOutletContext]="{$implicit:value}"></ng-container>

                <ng-container *ngIf="!selectedTemplate">
                    <li>{{op[displayField]}}</li>
                </ng-container>

            </ng-container>

            <ng-container *ngIf="!value">
                <em>{{placeholder}}</em>
            </ng-container>

            <i class="las la-angle-down"></i>

        </div>
    </div>

    <div class="dropdown-container">
        <div class="dropdown">

            <input 
            *ngIf="textFilter" 
            #filterInput
            type="text" 
            placeholder="Buscar..." 
            (click)="$event.stopPropagation()" 
            (keyup)="filter($event)">

            <ul class="options">

                <ng-container *ngIf="!listTemplate">
                    <li 
                    *ngFor="let op of options"
                    [class.active]="value[valueField] === op[valueField]" 
                    (click)="writeValue(op[valueField])">{{op[displayField]}}</li>
                </ng-container>

                <ng-container *ngIf="listTemplate">
                    <li 
                    *ngFor="let op of options" 
                    [class.active]="value === op" 
                    (click)="writeValue(op)">
                        <ng-container [ngTemplateOutlet]="listTemplate" [ngTemplateOutletContext]="{$implicit:op}"></ng-container>
                    </li>
                </ng-container>

            </ul>
        </div>
    </div>

</div>
